Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.wst.wsdl.binding.mime
Interface MIMEPackage

    public interface MIMEPackage

The Package for the model. It contains accessors for the meta objects to represent

- each class,
- each feature of each class,
- each enum,
- and each data type

See Also:
  `MIMEFactory`

Nested Class Summary
`static interface` | `MIMEPackage.Literals` Defines literals for the meta objects that represent each class, each feature of each class, each enum, and each data type

Field Summary
`static MIMEPackage` | `eINSTANCE` The singleton instance of the package
`static java.lang.String` | `eNAME` The package name
`static java.lang.String` | `eNS_PREFIX` The package namespace name
`static java.lang.String` | `eNS_URI` The package namespace URI
`static int` | `IMIME_CONTENT` The meta object id for the '`IMIME Content`' class
`static int` | `IMIME_CONTENT_FEATURE_COUNT` The number of structural features of the 'IMIME Content' class
`static int` | `IMIME_MIME_XML` The meta object id for the '`IMIME Mime Xml`' class
`static int` | `IMIME_MIME_XML_FEATURE_COUNT` The number of structural features of the 'IMIME Mime Xml' class
`static int` | `IMIME_MULTIPART_RELATED` The meta object id for the '`IMIME Multipart Related`' class
`static int` | `IMIME_MULTIPART_RELATED_FEATURE_COUNT` The number of structural features of the 'IMIME Multipart Related' class
`static int` | `IMIME_PART` The meta object id for the '`IMIME Part`' class
`static int` | `IMIME_PART_FEATURE_COUNT` The number of structural features of the 'IMIME Part' class
`static int` | `LIST` The meta object id for the 'List' data type
`static int` | `MIME_CONTENT` The meta object id for the '`Content`' class
`static int` | `MIME_CONTENT__DOCUMENTATION_ELEMENT` The feature id for the 'Documentation Element' attribute
`static int` | `MIME_CONTENT__ELEMENT` The feature id for the 'Element' attribute
`static int` | `MIME_CONTENT__ELEMENT_TYPE` The feature id for the 'Element Type' attribute
`static int` | `MIME_CONTENT__EPART` The feature id for the 'EPart' reference
`static int` | `MIME_CONTENT__REQUIRED` The feature id for the 'Required' attribute
`static int` | `MIME_CONTENT__TYPE` The feature id for the 'Type' attribute
`static int` | `MIME_CONTENT_FEATURE_COUNT` The number of structural features of the 'Content' class
`static int` | `MIME_MIME_XML` The meta object id for the '`Mime Xml`' class
`static int` | `MIME_MIME_XML__DOCUMENTATION_ELEMENT` The feature id for the 'Documentation Element' attribute
`static int` | `MIME_MIME_XML__ELEMENT` The feature id for the 'Element' attribute
`static int` | `MIME_MIME_XML__ELEMENT_TYPE` The feature id for the 'Element Type' attribute
`static int` | `MIME_MIME_XML__EPART` The feature id for the 'EPart' reference
`static int` | `MIME_MIME_XML__REQUIRED` The feature id for the 'Required' attribute
`static int` | `MIME_MIME_XML_FEATURE_COUNT` The number of structural features of the 'Mime Xml' class
`static int` | `MIME_MULTIPART_RELATED` The meta object id for the '`Multipart Related`' class
`static int` | `MIME_MULTIPART_RELATED__DOCUMENTATION_ELEMENT` The feature id for the 'Documentation Element' attribute
`static int` | `MIME_MULTIPART_RELATED__ELEMENT` The feature id for the 'Element' attribute
`static int` | `MIME_MULTIPART_RELATED__ELEMENT_TYPE` The feature id for the 'Element Type' attribute
`static int` | `MIME_MULTIPART_RELATED__EMIME_PART` The feature id for the 'EMIME Part' containment reference list
`static int` | `MIME_MULTIPART_RELATED__REQUIRED` The feature id for the 'Required' attribute
`static int` | `MIME_MULTIPART_RELATED_FEATURE_COUNT` The number of structural features of the 'Multipart Related' class
`static int` | `MIME_PART` The meta object id for the '`Part`' class
`static int` | `MIME_PART__DOCUMENTATION_ELEMENT` The feature id for the 'Documentation Element' attribute
`static int` | `MIME_PART__EEXTENSIBILITY_ELEMENTS` The feature id for the 'EExtensibility Elements' containment reference list
`static int` | `MIME_PART__ELEMENT` The feature id for the 'Element' attribute
`static int` | `MIME_PART__ELEMENT_TYPE` The feature id for the 'Element Type' attribute
`static int` | `MIME_PART__REQUIRED` The feature id for the 'Required' attribute
`static int` | `MIME_PART_FEATURE_COUNT` The number of structural features of the 'Part' class

Method Summary
`EClass` | `getIMIMEContent()` Returns the meta object for class '`IMIME Content`'
`EClass` | `getIMIMEMimeXml()` Returns the meta object for class '`IMIME Mime Xml`'
`EClass` | `getIMIMEMultipartRelated()` Returns the meta object for class '`IMIME Multipart Related`'
`EClass` | `getIMIMEPart()` Returns the meta object for class '`IMIME Part`'
`EDataType` | `getList()` Returns the meta object for data type '`List`'
`EReference` | `getMIMEContent_EPart()` Returns the meta object for the reference '`EPart`'
`EAttribute` | `getMIMEContent_Type()` Returns the meta object for the attribute '`Type`'
`EClass` | `getMIMEContent()` Returns the meta object for class '`Content`'
`MIMEFactory` | `getMIMEFactory()` Returns the factory that creates the instances of the model
`EReference` | `getMIMEMimeXml_EPart()` Returns the meta object for the reference '`EPart`'
`EClass` | `getMIMEMimeXml()` Returns the meta object for class '`Mime Xml`'
`EReference` | `getMIMEMultipartRelated_EMIMEPart()` Returns the meta object for the containment reference list '`EMIME Part`'
`EClass` | `getMIMEMultipartRelated()` Returns the meta object for class '`Multipart Related`'
`EReference` | `getMIMEPart_EExtensibilityElements()` Returns the meta object for the containment reference list '`EExtensibility Elements`'
`EClass` | `getMIMEPart()` Returns the meta object for class '`Part`'

Field Detail

### eNAME

    static final java.lang.String eNAME

  The package name.

  See Also:
    Constant Field Values

### eNS_URI

    static final java.lang.String eNS_URI

  The package namespace URI.

  See Also:
    Constant Field Values

### eNS_PREFIX

    static final java.lang.String eNS_PREFIX

  The package namespace name.

  See Also:
    Constant Field Values

### eINSTANCE

    static final MIMEPackage eINSTANCE

  The singleton instance of the package.

### MIME_CONTENT

    static final int MIME_CONTENT

  The meta object id for the '`Content`' class.

  See Also:
    `MIMEContentImpl`, `MIMEPackageImpl.getMIMEContent()`, Constant Field Values

### MIME_CONTENT__DOCUMENTATION_ELEMENT

    static final int MIME_CONTENT__DOCUMENTATION_ELEMENT

  The feature id for the 'Documentation Element' attribute.

  See Also:
    Constant Field Values

### MIME_CONTENT__ELEMENT

    static final int MIME_CONTENT__ELEMENT

  The feature id for the 'Element' attribute.

  See Also:
    Constant Field Values

### MIME_CONTENT__REQUIRED

    static final int MIME_CONTENT__REQUIRED

  The feature id for the 'Required' attribute.

  See Also:
    Constant Field Values

### MIME_CONTENT__ELEMENT_TYPE

    static final int MIME_CONTENT__ELEMENT_TYPE

  The feature id for the 'Element Type' attribute.

  See Also:
    Constant Field Values

### MIME_CONTENT__TYPE

    static final int MIME_CONTENT__TYPE

  The feature id for the 'Type' attribute.

  See Also:
    Constant Field Values

### MIME_CONTENT__EPART

    static final int MIME_CONTENT__EPART

  The feature id for the 'EPart' reference.

  See Also:
    Constant Field Values

### MIME_CONTENT_FEATURE_COUNT

    static final int MIME_CONTENT_FEATURE_COUNT

  The number of structural features of the 'Content' class.

  See Also:
    Constant Field Values

### MIME_PART

    static final int MIME_PART

  The meta object id for the '`Part`' class.

  See Also:
    `MIMEPartImpl`, `MIMEPackageImpl.getMIMEPart()`, Constant Field Values

### MIME_PART__DOCUMENTATION_ELEMENT

    static final int MIME_PART__DOCUMENTATION_ELEMENT

  The feature id for the 'Documentation Element' attribute.

  See Also:
    Constant Field Values

### MIME_PART__ELEMENT

    static final int MIME_PART__ELEMENT

  The feature id for the 'Element' attribute.

  See Also:
    Constant Field Values

### MIME_PART__REQUIRED

    static final int MIME_PART__REQUIRED

  The feature id for the 'Required' attribute.

  See Also:
    Constant Field Values

### MIME_PART__ELEMENT_TYPE

    static final int MIME_PART__ELEMENT_TYPE

  The feature id for the 'Element Type' attribute.

  See Also:
    Constant Field Values

### MIME_PART__EEXTENSIBILITY_ELEMENTS

    static final int MIME_PART__EEXTENSIBILITY_ELEMENTS

  The feature id for the 'EExtensibility Elements' containment reference list.

  See Also:
    Constant Field Values

### MIME_PART_FEATURE_COUNT

    static final int MIME_PART_FEATURE_COUNT

  The number of structural features of the 'Part' class.

  See Also:
    Constant Field Values

### MIME_MULTIPART_RELATED

    static final int MIME_MULTIPART_RELATED

  The meta object id for the '`Multipart Related`' class.

  See Also:
    `MIMEMultipartRelatedImpl`, `MIMEPackageImpl.getMIMEMultipartRelated()`, Constant Field Values

### MIME_MULTIPART_RELATED__DOCUMENTATION_ELEMENT

    static final int MIME_MULTIPART_RELATED__DOCUMENTATION_ELEMENT

  The feature id for the 'Documentation Element' attribute.

  See Also:
    Constant Field Values

### MIME_MULTIPART_RELATED__ELEMENT

    static final int MIME_MULTIPART_RELATED__ELEMENT

  The feature id for the 'Element' attribute.

  See Also:
    Constant Field Values

### MIME_MULTIPART_RELATED__REQUIRED

    static final int MIME_MULTIPART_RELATED__REQUIRED

  The feature id for the 'Required' attribute.

  See Also:
    Constant Field Values

### MIME_MULTIPART_RELATED__ELEMENT_TYPE

    static final int MIME_MULTIPART_RELATED__ELEMENT_TYPE

  The feature id for the 'Element Type' attribute.

  See Also:
    Constant Field Values

### MIME_MULTIPART_RELATED__EMIME_PART

    static final int MIME_MULTIPART_RELATED__EMIME_PART

  The feature id for the 'EMIME Part' containment reference list.

  See Also:
    Constant Field Values

### MIME_MULTIPART_RELATED_FEATURE_COUNT

    static final int MIME_MULTIPART_RELATED_FEATURE_COUNT

  The number of structural features of the 'Multipart Related' class.

  See Also:
    Constant Field Values

### MIME_MIME_XML

    static final int MIME_MIME_XML

  The meta object id for the '`Mime Xml`' class.

  See Also:
    `MIMEMimeXmlImpl`, `MIMEPackageImpl.getMIMEMimeXml()`, Constant Field Values

### MIME_MIME_XML__DOCUMENTATION_ELEMENT

    static final int MIME_MIME_XML__DOCUMENTATION_ELEMENT

  The feature id for the 'Documentation Element' attribute.

  See Also:
    Constant Field Values

### MIME_MIME_XML__ELEMENT

    static final int MIME_MIME_XML__ELEMENT

  The feature id for the 'Element' attribute.

  See Also:
    Constant Field Values

### MIME_MIME_XML__REQUIRED

    static final int MIME_MIME_XML__REQUIRED

  The feature id for the 'Required' attribute.

  See Also:
    Constant Field Values

### MIME_MIME_XML__ELEMENT_TYPE

    static final int MIME_MIME_XML__ELEMENT_TYPE

  The feature id for the 'Element Type' attribute.

  See Also:
    Constant Field Values

### MIME_MIME_XML__EPART

    static final int MIME_MIME_XML__EPART

  The feature id for the 'EPart' reference.

  See Also:
    Constant Field Values

### MIME_MIME_XML_FEATURE_COUNT

    static final int MIME_MIME_XML_FEATURE_COUNT

  The number of structural features of the 'Mime Xml' class.

  See Also:
    Constant Field Values

### IMIME_PART

    static final int IMIME_PART

  The meta object id for the '`IMIME Part`' class.

  See Also:
    `MIMEPart`, `MIMEPackageImpl.getIMIMEPart()`, Constant Field Values

### IMIME_PART_FEATURE_COUNT

    static final int IMIME_PART_FEATURE_COUNT

  The number of structural features of the 'IMIME Part' class.

  See Also:
    Constant Field Values

### IMIME_MULTIPART_RELATED

    static final int IMIME_MULTIPART_RELATED

  The meta object id for the '`IMIME Multipart Related`' class.

  See Also:
    `MIMEMultipartRelated`, `MIMEPackageImpl.getIMIMEMultipartRelated()`, Constant Field Values

### IMIME_MULTIPART_RELATED_FEATURE_COUNT

    static final int IMIME_MULTIPART_RELATED_FEATURE_COUNT

  The number of structural features of the 'IMIME Multipart Related' class.

  See Also:
    Constant Field Values

### IMIME_CONTENT

    static final int IMIME_CONTENT

  The meta object id for the '`IMIME Content`' class.

  See Also:
    `MIMEContent`, `MIMEPackageImpl.getIMIMEContent()`, Constant Field Values

### IMIME_CONTENT_FEATURE_COUNT

    static final int IMIME_CONTENT_FEATURE_COUNT

  The number of structural features of the 'IMIME Content' class.

  See Also:
    Constant Field Values

### IMIME_MIME_XML

    static final int IMIME_MIME_XML

  The meta object id for the '`IMIME Mime Xml`' class.

  See Also:
    `MIMEMimeXml`, `MIMEPackageImpl.getIMIMEMimeXml()`, Constant Field Values

### IMIME_MIME_XML_FEATURE_COUNT

    static final int IMIME_MIME_XML_FEATURE_COUNT

  The number of structural features of the 'IMIME Mime Xml' class.

  See Also:
    Constant Field Values

### LIST

    static final int LIST

  The meta object id for the 'List' data type.

  See Also:
    `List`, `MIMEPackageImpl.getList()`, Constant Field Values

Method Detail

### getMIMEContent

    EClass getMIMEContent()

  Returns the meta object for class '`Content`'.

  Returns:
    the meta object for class 'Content'.
  See Also:
    `MIMEContent`

### getMIMEContent_Type

    EAttribute getMIMEContent_Type()

  Returns the meta object for the attribute '`Type`'.

  Returns:
    the meta object for the attribute 'Type'.
  See Also:
    `MIMEContent.getType()`, `getMIMEContent()`

### getMIMEContent_EPart

    EReference getMIMEContent_EPart()

  Returns the meta object for the reference '`EPart`'.

  Returns:
    the meta object for the reference 'EPart'.
  See Also:
    `MIMEContent.getEPart()`, `getMIMEContent()`

### getMIMEPart

    EClass getMIMEPart()

  Returns the meta object for class '`Part`'.

  Returns:
    the meta object for class 'Part'.
  See Also:
    `MIMEPart`

### getMIMEPart_EExtensibilityElements

    EReference getMIMEPart_EExtensibilityElements()

  Returns the meta object for the containment reference list '`EExtensibility Elements`'.

  Returns:
    the meta object for the containment reference list 'EExtensibility Elements'.
  See Also:
    `MIMEPart.getEExtensibilityElements()`, `getMIMEPart()`

### getMIMEMultipartRelated

    EClass getMIMEMultipartRelated()

  Returns the meta object for class '`Multipart Related`'.

  Returns:
    the meta object for class 'Multipart Related'.
  See Also:
    `MIMEMultipartRelated`

### getMIMEMultipartRelated_EMIMEPart

    EReference getMIMEMultipartRelated_EMIMEPart()

  Returns the meta object for the containment reference list '`EMIME Part`'.

  Returns:
    the meta object for the containment reference list 'EMIME Part'.
  See Also:
    `MIMEMultipartRelated.getEMIMEPart()`, `getMIMEMultipartRelated()`

### getMIMEMimeXml

    EClass getMIMEMimeXml()

  Returns the meta object for class '`Mime Xml`'.

  Returns:
    the meta object for class 'Mime Xml'.
  See Also:
    `MIMEMimeXml`

### getMIMEMimeXml_EPart

    EReference getMIMEMimeXml_EPart()

  Returns the meta object for the reference '`EPart`'.

  Returns:
    the meta object for the reference 'EPart'.
  See Also:
    `MIMEMimeXml.getEPart()`, `getMIMEMimeXml()`

### getIMIMEPart

    EClass getIMIMEPart()

  Returns the meta object for class '`IMIME Part`'.

  Returns:
    the meta object for class 'IMIME Part'.
  See Also:
    `MIMEPart`

### getIMIMEMultipartRelated

    EClass getIMIMEMultipartRelated()

  Returns the meta object for class '`IMIME Multipart Related`'.

  Returns:
    the meta object for class 'IMIME Multipart Related'.
  See Also:
    `MIMEMultipartRelated`

### getIMIMEContent

    EClass getIMIMEContent()

  Returns the meta object for class '`IMIME Content`'.

  Returns:
    the meta object for class 'IMIME Content'.
  See Also:
    `MIMEContent`

### getIMIMEMimeXml

    EClass getIMIMEMimeXml()

  Returns the meta object for class '`IMIME Mime Xml`'.

  Returns:
    the meta object for class 'IMIME Mime Xml'.
  See Also:
    `MIMEMimeXml`

### getList

    EDataType getList()

  Returns the meta object for data type '`List`'.

  Returns:
    the meta object for data type 'List'.
  See Also:
    `List`

### getMIMEFactory

    MIMEFactory getMIMEFactory()

  Returns the factory that creates the instances of the model.

  Returns:
    the factory that creates the instances of the model.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD